Imported Upstream version 0.8
[debian/gsimplecal.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36         $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS \
37         ChangeLog NEWS depcomp install-sh missing
38 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43  configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_CLEAN_FILES =
46 CONFIG_CLEAN_VPATH_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50         html-recursive info-recursive install-data-recursive \
51         install-dvi-recursive install-exec-recursive \
52         install-html-recursive install-info-recursive \
53         install-pdf-recursive install-ps-recursive install-recursive \
54         installcheck-recursive installdirs-recursive pdf-recursive \
55         ps-recursive uninstall-recursive
56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57   distclean-recursive maintainer-clean-recursive
58 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
59         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
60         distdir dist dist-all distcheck
61 ETAGS = etags
62 CTAGS = ctags
63 DIST_SUBDIRS = $(SUBDIRS)
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 distdir = $(PACKAGE)-$(VERSION)
66 top_distdir = $(distdir)
67 am__remove_distdir = \
68   { test ! -d "$(distdir)" \
69     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
70          && rm -fr "$(distdir)"; }; }
71 am__relativize = \
72   dir0=`pwd`; \
73   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
74   sed_rest='s,^[^/]*/*,,'; \
75   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
76   sed_butlast='s,/*[^/]*$$,,'; \
77   while test -n "$$dir1"; do \
78     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
79     if test "$$first" != "."; then \
80       if test "$$first" = ".."; then \
81         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
82         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
83       else \
84         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
85         if test "$$first2" = "$$first"; then \
86           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
87         else \
88           dir2="../$$dir2"; \
89         fi; \
90         dir0="$$dir0"/"$$first"; \
91       fi; \
92     fi; \
93     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
94   done; \
95   reldir="$$dir2"
96 DIST_ARCHIVES = $(distdir).tar.gz
97 GZIP_ENV = --best
98 distuninstallcheck_listfiles = find . -type f -print
99 distcleancheck_listfiles = find . -type f -print
100 ACLOCAL = @ACLOCAL@
101 AMTAR = @AMTAR@
102 AM_CFLAGS = @AM_CFLAGS@
103 AM_LDFLAGS = @AM_LDFLAGS@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 CPPFLAGS = @CPPFLAGS@
109 CXX = @CXX@
110 CXXCPP = @CXXCPP@
111 CXXDEPMODE = @CXXDEPMODE@
112 CXXFLAGS = @CXXFLAGS@
113 CYGPATH_W = @CYGPATH_W@
114 DEFS = @DEFS@
115 DEPDIR = @DEPDIR@
116 ECHO_C = @ECHO_C@
117 ECHO_N = @ECHO_N@
118 ECHO_T = @ECHO_T@
119 EGREP = @EGREP@
120 EXEEXT = @EXEEXT@
121 GREP = @GREP@
122 GTK2_CFLAGS = @GTK2_CFLAGS@
123 GTK2_LIBS = @GTK2_LIBS@
124 INSTALL = @INSTALL@
125 INSTALL_DATA = @INSTALL_DATA@
126 INSTALL_PROGRAM = @INSTALL_PROGRAM@
127 INSTALL_SCRIPT = @INSTALL_SCRIPT@
128 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
129 LDFLAGS = @LDFLAGS@
130 LIBOBJS = @LIBOBJS@
131 LIBS = @LIBS@
132 LTLIBOBJS = @LTLIBOBJS@
133 MAKEINFO = @MAKEINFO@
134 MKDIR_P = @MKDIR_P@
135 OBJEXT = @OBJEXT@
136 PACKAGE = @PACKAGE@
137 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
138 PACKAGE_NAME = @PACKAGE_NAME@
139 PACKAGE_STRING = @PACKAGE_STRING@
140 PACKAGE_TARNAME = @PACKAGE_TARNAME@
141 PACKAGE_URL = @PACKAGE_URL@
142 PACKAGE_VERSION = @PACKAGE_VERSION@
143 PATH_SEPARATOR = @PATH_SEPARATOR@
144 PKG_CONFIG = @PKG_CONFIG@
145 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
146 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
147 SET_MAKE = @SET_MAKE@
148 SHELL = @SHELL@
149 STRIP = @STRIP@
150 VERSION = @VERSION@
151 abs_builddir = @abs_builddir@
152 abs_srcdir = @abs_srcdir@
153 abs_top_builddir = @abs_top_builddir@
154 abs_top_srcdir = @abs_top_srcdir@
155 ac_ct_CXX = @ac_ct_CXX@
156 am__include = @am__include@
157 am__leading_dot = @am__leading_dot@
158 am__quote = @am__quote@
159 am__tar = @am__tar@
160 am__untar = @am__untar@
161 bindir = @bindir@
162 build_alias = @build_alias@
163 builddir = @builddir@
164 datadir = @datadir@
165 datarootdir = @datarootdir@
166 docdir = @docdir@
167 dvidir = @dvidir@
168 exec_prefix = @exec_prefix@
169 host_alias = @host_alias@
170 htmldir = @htmldir@
171 includedir = @includedir@
172 infodir = @infodir@
173 install_sh = @install_sh@
174 libdir = @libdir@
175 libexecdir = @libexecdir@
176 localedir = @localedir@
177 localstatedir = @localstatedir@
178 mandir = @mandir@
179 mkdir_p = @mkdir_p@
180 oldincludedir = @oldincludedir@
181 pdfdir = @pdfdir@
182 prefix = @prefix@
183 program_transform_name = @program_transform_name@
184 psdir = @psdir@
185 sbindir = @sbindir@
186 sharedstatedir = @sharedstatedir@
187 srcdir = @srcdir@
188 sysconfdir = @sysconfdir@
189 target_alias = @target_alias@
190 top_build_prefix = @top_build_prefix@
191 top_builddir = @top_builddir@
192 top_srcdir = @top_srcdir@
193 SUBDIRS = src doc
194 all: all-recursive
195
196 .SUFFIXES:
197 am--refresh:
198         @:
199 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
200         @for dep in $?; do \
201           case '$(am__configure_deps)' in \
202             *$$dep*) \
203               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
204               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
205                 && exit 0; \
206               exit 1;; \
207           esac; \
208         done; \
209         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
210         $(am__cd) $(top_srcdir) && \
211           $(AUTOMAKE) --foreign Makefile
212 .PRECIOUS: Makefile
213 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
214         @case '$?' in \
215           *config.status*) \
216             echo ' $(SHELL) ./config.status'; \
217             $(SHELL) ./config.status;; \
218           *) \
219             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
220             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
221         esac;
222
223 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
224         $(SHELL) ./config.status --recheck
225
226 $(top_srcdir)/configure:  $(am__configure_deps)
227         $(am__cd) $(srcdir) && $(AUTOCONF)
228 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
229         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
230 $(am__aclocal_m4_deps):
231
232 # This directory's subdirectories are mostly independent; you can cd
233 # into them and run `make' without going through this Makefile.
234 # To change the values of `make' variables: instead of editing Makefiles,
235 # (1) if the variable is set in `config.status', edit `config.status'
236 #     (which will cause the Makefiles to be regenerated when you run `make');
237 # (2) otherwise, pass the desired values on the `make' command line.
238 $(RECURSIVE_TARGETS):
239         @fail= failcom='exit 1'; \
240         for f in x $$MAKEFLAGS; do \
241           case $$f in \
242             *=* | --[!k]*);; \
243             *k*) failcom='fail=yes';; \
244           esac; \
245         done; \
246         dot_seen=no; \
247         target=`echo $@ | sed s/-recursive//`; \
248         list='$(SUBDIRS)'; for subdir in $$list; do \
249           echo "Making $$target in $$subdir"; \
250           if test "$$subdir" = "."; then \
251             dot_seen=yes; \
252             local_target="$$target-am"; \
253           else \
254             local_target="$$target"; \
255           fi; \
256           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
257           || eval $$failcom; \
258         done; \
259         if test "$$dot_seen" = "no"; then \
260           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
261         fi; test -z "$$fail"
262
263 $(RECURSIVE_CLEAN_TARGETS):
264         @fail= failcom='exit 1'; \
265         for f in x $$MAKEFLAGS; do \
266           case $$f in \
267             *=* | --[!k]*);; \
268             *k*) failcom='fail=yes';; \
269           esac; \
270         done; \
271         dot_seen=no; \
272         case "$@" in \
273           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
274           *) list='$(SUBDIRS)' ;; \
275         esac; \
276         rev=''; for subdir in $$list; do \
277           if test "$$subdir" = "."; then :; else \
278             rev="$$subdir $$rev"; \
279           fi; \
280         done; \
281         rev="$$rev ."; \
282         target=`echo $@ | sed s/-recursive//`; \
283         for subdir in $$rev; do \
284           echo "Making $$target in $$subdir"; \
285           if test "$$subdir" = "."; then \
286             local_target="$$target-am"; \
287           else \
288             local_target="$$target"; \
289           fi; \
290           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
291           || eval $$failcom; \
292         done && test -z "$$fail"
293 tags-recursive:
294         list='$(SUBDIRS)'; for subdir in $$list; do \
295           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
296         done
297 ctags-recursive:
298         list='$(SUBDIRS)'; for subdir in $$list; do \
299           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
300         done
301
302 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
303         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
304         unique=`for i in $$list; do \
305             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
306           done | \
307           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
308               END { if (nonempty) { for (i in files) print i; }; }'`; \
309         mkid -fID $$unique
310 tags: TAGS
311
312 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
313                 $(TAGS_FILES) $(LISP)
314         set x; \
315         here=`pwd`; \
316         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
317           include_option=--etags-include; \
318           empty_fix=.; \
319         else \
320           include_option=--include; \
321           empty_fix=; \
322         fi; \
323         list='$(SUBDIRS)'; for subdir in $$list; do \
324           if test "$$subdir" = .; then :; else \
325             test ! -f $$subdir/TAGS || \
326               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
327           fi; \
328         done; \
329         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
330         unique=`for i in $$list; do \
331             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
332           done | \
333           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
334               END { if (nonempty) { for (i in files) print i; }; }'`; \
335         shift; \
336         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
337           test -n "$$unique" || unique=$$empty_fix; \
338           if test $$# -gt 0; then \
339             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
340               "$$@" $$unique; \
341           else \
342             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
343               $$unique; \
344           fi; \
345         fi
346 ctags: CTAGS
347 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
348                 $(TAGS_FILES) $(LISP)
349         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
350         unique=`for i in $$list; do \
351             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
352           done | \
353           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
354               END { if (nonempty) { for (i in files) print i; }; }'`; \
355         test -z "$(CTAGS_ARGS)$$unique" \
356           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
357              $$unique
358
359 GTAGS:
360         here=`$(am__cd) $(top_builddir) && pwd` \
361           && $(am__cd) $(top_srcdir) \
362           && gtags -i $(GTAGS_ARGS) "$$here"
363
364 distclean-tags:
365         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
366
367 distdir: $(DISTFILES)
368         $(am__remove_distdir)
369         test -d "$(distdir)" || mkdir "$(distdir)"
370         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
371         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
372         list='$(DISTFILES)'; \
373           dist_files=`for file in $$list; do echo $$file; done | \
374           sed -e "s|^$$srcdirstrip/||;t" \
375               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
376         case $$dist_files in \
377           */*) $(MKDIR_P) `echo "$$dist_files" | \
378                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
379                            sort -u` ;; \
380         esac; \
381         for file in $$dist_files; do \
382           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
383           if test -d $$d/$$file; then \
384             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
385             if test -d "$(distdir)/$$file"; then \
386               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
387             fi; \
388             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
389               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
390               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
391             fi; \
392             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
393           else \
394             test -f "$(distdir)/$$file" \
395             || cp -p $$d/$$file "$(distdir)/$$file" \
396             || exit 1; \
397           fi; \
398         done
399         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
400           if test "$$subdir" = .; then :; else \
401             test -d "$(distdir)/$$subdir" \
402             || $(MKDIR_P) "$(distdir)/$$subdir" \
403             || exit 1; \
404           fi; \
405         done
406         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
407           if test "$$subdir" = .; then :; else \
408             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
409             $(am__relativize); \
410             new_distdir=$$reldir; \
411             dir1=$$subdir; dir2="$(top_distdir)"; \
412             $(am__relativize); \
413             new_top_distdir=$$reldir; \
414             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
415             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
416             ($(am__cd) $$subdir && \
417               $(MAKE) $(AM_MAKEFLAGS) \
418                 top_distdir="$$new_top_distdir" \
419                 distdir="$$new_distdir" \
420                 am__remove_distdir=: \
421                 am__skip_length_check=: \
422                 am__skip_mode_fix=: \
423                 distdir) \
424               || exit 1; \
425           fi; \
426         done
427         -test -n "$(am__skip_mode_fix)" \
428         || find "$(distdir)" -type d ! -perm -755 \
429                 -exec chmod u+rwx,go+rx {} \; -o \
430           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
431           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
432           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
433         || chmod -R a+r "$(distdir)"
434 dist-gzip: distdir
435         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
436         $(am__remove_distdir)
437
438 dist-bzip2: distdir
439         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
440         $(am__remove_distdir)
441
442 dist-lzma: distdir
443         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
444         $(am__remove_distdir)
445
446 dist-xz: distdir
447         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
448         $(am__remove_distdir)
449
450 dist-tarZ: distdir
451         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
452         $(am__remove_distdir)
453
454 dist-shar: distdir
455         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
456         $(am__remove_distdir)
457
458 dist-zip: distdir
459         -rm -f $(distdir).zip
460         zip -rq $(distdir).zip $(distdir)
461         $(am__remove_distdir)
462
463 dist dist-all: distdir
464         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
465         $(am__remove_distdir)
466
467 # This target untars the dist file and tries a VPATH configuration.  Then
468 # it guarantees that the distribution is self-contained by making another
469 # tarfile.
470 distcheck: dist
471         case '$(DIST_ARCHIVES)' in \
472         *.tar.gz*) \
473           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
474         *.tar.bz2*) \
475           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
476         *.tar.lzma*) \
477           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
478         *.tar.xz*) \
479           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
480         *.tar.Z*) \
481           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
482         *.shar.gz*) \
483           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
484         *.zip*) \
485           unzip $(distdir).zip ;;\
486         esac
487         chmod -R a-w $(distdir); chmod a+w $(distdir)
488         mkdir $(distdir)/_build
489         mkdir $(distdir)/_inst
490         chmod a-w $(distdir)
491         test -d $(distdir)/_build || exit 0; \
492         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
493           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
494           && am__cwd=`pwd` \
495           && $(am__cd) $(distdir)/_build \
496           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
497             $(DISTCHECK_CONFIGURE_FLAGS) \
498           && $(MAKE) $(AM_MAKEFLAGS) \
499           && $(MAKE) $(AM_MAKEFLAGS) dvi \
500           && $(MAKE) $(AM_MAKEFLAGS) check \
501           && $(MAKE) $(AM_MAKEFLAGS) install \
502           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
503           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
504           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
505                 distuninstallcheck \
506           && chmod -R a-w "$$dc_install_base" \
507           && ({ \
508                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
509                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
510                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
511                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
512                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
513               } || { rm -rf "$$dc_destdir"; exit 1; }) \
514           && rm -rf "$$dc_destdir" \
515           && $(MAKE) $(AM_MAKEFLAGS) dist \
516           && rm -rf $(DIST_ARCHIVES) \
517           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
518           && cd "$$am__cwd" \
519           || exit 1
520         $(am__remove_distdir)
521         @(echo "$(distdir) archives ready for distribution: "; \
522           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
523           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
524 distuninstallcheck:
525         @$(am__cd) '$(distuninstallcheck_dir)' \
526         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
527            || { echo "ERROR: files left after uninstall:" ; \
528                 if test -n "$(DESTDIR)"; then \
529                   echo "  (check DESTDIR support)"; \
530                 fi ; \
531                 $(distuninstallcheck_listfiles) ; \
532                 exit 1; } >&2
533 distcleancheck: distclean
534         @if test '$(srcdir)' = . ; then \
535           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
536           exit 1 ; \
537         fi
538         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
539           || { echo "ERROR: files left in build directory after distclean:" ; \
540                $(distcleancheck_listfiles) ; \
541                exit 1; } >&2
542 check-am: all-am
543 check: check-recursive
544 all-am: Makefile
545 installdirs: installdirs-recursive
546 installdirs-am:
547 install: install-recursive
548 install-exec: install-exec-recursive
549 install-data: install-data-recursive
550 uninstall: uninstall-recursive
551
552 install-am: all-am
553         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
554
555 installcheck: installcheck-recursive
556 install-strip:
557         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
558           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
559           `test -z '$(STRIP)' || \
560             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
561 mostlyclean-generic:
562
563 clean-generic:
564
565 distclean-generic:
566         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
567         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
568
569 maintainer-clean-generic:
570         @echo "This command is intended for maintainers to use"
571         @echo "it deletes files that may require special tools to rebuild."
572 clean: clean-recursive
573
574 clean-am: clean-generic mostlyclean-am
575
576 distclean: distclean-recursive
577         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
578         -rm -f Makefile
579 distclean-am: clean-am distclean-generic distclean-tags
580
581 dvi: dvi-recursive
582
583 dvi-am:
584
585 html: html-recursive
586
587 html-am:
588
589 info: info-recursive
590
591 info-am:
592
593 install-data-am:
594
595 install-dvi: install-dvi-recursive
596
597 install-dvi-am:
598
599 install-exec-am:
600
601 install-html: install-html-recursive
602
603 install-html-am:
604
605 install-info: install-info-recursive
606
607 install-info-am:
608
609 install-man:
610
611 install-pdf: install-pdf-recursive
612
613 install-pdf-am:
614
615 install-ps: install-ps-recursive
616
617 install-ps-am:
618
619 installcheck-am:
620
621 maintainer-clean: maintainer-clean-recursive
622         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
623         -rm -rf $(top_srcdir)/autom4te.cache
624         -rm -f Makefile
625 maintainer-clean-am: distclean-am maintainer-clean-generic
626
627 mostlyclean: mostlyclean-recursive
628
629 mostlyclean-am: mostlyclean-generic
630
631 pdf: pdf-recursive
632
633 pdf-am:
634
635 ps: ps-recursive
636
637 ps-am:
638
639 uninstall-am:
640
641 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
642         install-am install-strip tags-recursive
643
644 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
645         all all-am am--refresh check check-am clean clean-generic \
646         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
647         dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
648         distclean distclean-generic distclean-tags distcleancheck \
649         distdir distuninstallcheck dvi dvi-am html html-am info \
650         info-am install install-am install-data install-data-am \
651         install-dvi install-dvi-am install-exec install-exec-am \
652         install-html install-html-am install-info install-info-am \
653         install-man install-pdf install-pdf-am install-ps \
654         install-ps-am install-strip installcheck installcheck-am \
655         installdirs installdirs-am maintainer-clean \
656         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
657         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
658
659
660 # Tell versions [3.59,3.63) of GNU make to not export all variables.
661 # Otherwise a system limit (for SysV at least) may be exceeded.
662 .NOEXPORT: